//
//  SkyDriveExporter.h
//  SkyDriveExporter.iPhotoExporter
//
//  Created by Eugene Solodovnykov on 5/15/12.
//  Copyright (c) 2012. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ExportPluginProtocol-Protocol.h"
#import "ExportPluginBoxProtocol-Protocol.h"
#import "ExportMgr.h"
#import <WebKit/WebKit.h>

@interface SkyDriveExporter : NSObject {
@protected
    IBOutlet NSBox <ExportPluginBoxProtocol> *_settingsBox;
    IBOutlet NSBox *_firstBox;
    
    IBOutlet NSWindow *_authWindow;
    IBOutlet WebView *_authWebView;
    
    ExportMgr *_exportMgr;
    ExportProgress _progress;
    NSLock *_progressLock;
    
    NSOperationQueue *_operationQueue;
    NSString *_accessToken;
    NSString *_uploadLocation;
}

@end
